GNU logs - #33639, boring messages


Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 00:04:02 +0000
Resent-Message-ID: <handler.33639.B.154405460212480 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 33639 <at> debbugs.gnu.org
Cc: Ricardo Wurmus <rekado@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
X-Debbugs-Original-To: Bug Guix <bug-guix@HIDDEN>
Received: via spool by submit <at> debbugs.gnu.org id=B.154405460212480
          (code B ref -1); Thu, 06 Dec 2018 00:04:02 +0000
Received: (at submit) by debbugs.gnu.org; 6 Dec 2018 00:03:22 +0000
Received: from localhost ([127.0.0.1]:34778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUh8Q-0003F9-HS
	for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 19:03:22 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUh8L-0003Et-Ry
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 19:03:17 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUh89-00010i-N9
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 19:03:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:58758)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <ludo@HIDDEN>) id 1gUh89-000106-Gf
 for submit <at> debbugs.gnu.org; Wed, 05 Dec 2018 19:03:01 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39713)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUh85-00069e-0e
 for bug-guix@HIDDEN; Wed, 05 Dec 2018 19:03:01 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUh80-0000nO-Br
 for bug-guix@HIDDEN; Wed, 05 Dec 2018 19:02:56 -0500
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:38729)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUh7R-0008QV-GQ; Wed, 05 Dec 2018 19:02:17 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=47712 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUh7R-0006KY-81; Wed, 05 Dec 2018 19:02:17 -0500
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 16 Frimaire an 227 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 06 Dec 2018 01:02:14 +0100
Message-ID: <87d0qfwmih.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello,

The ISO installer image as produced on commit
4a0b87f0ec5b6c2dcf82b372dd20ca7ea6acdd9c by

  guix system disk-image --file-system-type=3Diso9660 \
    -s i686-linux gnu/system/install.scm

contains unreadable file(s), at least /var/guix/db/db.sqlite.

The build at <https://hydra.gnu.org/build/3151513> (2018-11-12,
64461ba20a07a0cf3197de3e97cb44e0f66cebdc) seems is the only occurrence
of the problem I could find on the build farms: while running the
installation off the ISO image, it fails like this:

--8<---------------cut here---------------start------------->8---
+ guix --version
guix (GNU Guix) 0.15.0-6.f9a8fce
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.htm=
l>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
+ export GUIX_BUILD_OPTIONS=3D--no-grafts
+ GUIX_BUILD_OPTIONS=3D--no-grafts
+ guix build isc-dhcp
[   95.076694] attempt to access beyond end of device
[   95.080672] sr0: rw=3D524288, want=3D2118580, limit=3D2115840
[   95.082317] attempt to access beyond end of device
[   95.083730] sr0: rw=3D0, want=3D2118332, limit=3D2115840
[   95.097050] attempt to access beyond end of device
[   95.098175] sr0: rw=3D0, want=3D2118332, limit=3D2115840
guix build: error: build failed: cannot open Nix database `/var/guix/db/db.=
sqlite'
--8<---------------cut here---------------end--------------->8---

Indeed, if you spawn the image and run =E2=80=9Ccat /var/guix/db/db.sqlite=
=E2=80=9D, it
fails with EIO and =E2=80=9Cattempt to access beyond end of device.=E2=80=
=9D  I suspect
the bugs Mark reported at <https://issues.guix.info/issue/33362> and
<https://issues.guix.info/issue/33555> are related.

My guess is that the bug has always existed on =E2=80=98core-updates=E2=80=
=99 since
<https://berlin.guixsd.org/build/662745> (=E2=80=98master=E2=80=99, 2018-11=
-30, i.e.,
just before =E2=80=98core-updates=E2=80=99 was merged) shows a successful i=
nstallation.

I tried running the ISO image in qemu-system-{x86_64,i386}, with and
without KVM, and the I/O errors are always there, including with a
pre-core-updates QEMU.

I tried reverting xorriso to 1.4.8 to no avail (which is not surprising
since xorriso was upgraded on 2018-09-18 and the successful installation
above which 2018-11-30.)

At this point I can only suspect a toolchain issue, probably binutils or
libc since gcc didn=E2=80=99t change.

Thoughts?

This is holding the 0.16.0 release and I=E2=80=99m unavailable to do it next
week and with little time over the next few days.  Thus I=E2=80=99m conside=
ring
exceptionally releasing without the i686 GuixSD install image; thoughts?
The rest is all fine and ready to ship.

Thanks,
Ludo=E2=80=99.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: bug#33639: Acknowledgement (ISO installer image is broken on i686)
Message-ID: <handler.33639.B.154405460212480.ack <at> debbugs.gnu.org>
References: <87d0qfwmih.fsf@HIDDEN>
X-Gnu-PR-Message: ack 33639
X-Gnu-PR-Package: guix
Reply-To: 33639 <at> debbugs.gnu.org
Date: Thu, 06 Dec 2018 00:04:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-guix@HIDDEN

If you wish to submit further information on this problem, please
send it to 33639 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
33639: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33639
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 6 Dec 2018 07:15:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 06 02:15:50 2018
Received: from localhost ([127.0.0.1]:34903 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUnsz-0005UJ-RG
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 02:15:49 -0500
Received: from mail3-relais-sop.national.inria.fr ([192.134.164.104]:41729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUnss-0005Tn-W7
 for control <at> debbugs.gnu.org; Thu, 06 Dec 2018 02:15:43 -0500
X-IronPort-AV: E=Sophos;i="5.56,321,1539640800"; d="scan'208";a="288082105"
Received: from unknown (HELO ribbon) ([193.50.110.94])
 by mail3-relais-sop.national.inria.fr with ESMTP/TLS/AES256-GCM-SHA384;
 06 Dec 2018 08:15:36 +0100
Date: Thu, 06 Dec 2018 08:15:37 +0100
Message-Id: <87in07m8h2.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: control message for bug #33639
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

severity 33639 serious




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 07:21:01 +0000
Resent-Message-ID: <handler.33639.B33639.154408081721557 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 33639 <at> debbugs.gnu.org
Cc: Ricardo Wurmus <rekado@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154408081721557
          (code B ref 33639); Thu, 06 Dec 2018 07:21:01 +0000
Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 07:20:17 +0000
Received: from localhost ([127.0.0.1]:34908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUnxF-0005bZ-Cy
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 02:20:17 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41336)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUnx9-0005bD-Ng
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 02:20:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUnww-0007nc-Ry
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 02:20:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:45071)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUnwJ-0006te-2O; Thu, 06 Dec 2018 02:19:15 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=43170 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUnwI-0007td-Pd; Thu, 06 Dec 2018 02:19:14 -0500
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87d0qfwmih.fsf@HIDDEN>
Date: Thu, 06 Dec 2018 08:19:12 +0100
In-Reply-To: <87d0qfwmih.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 06 Dec 2018 01:02:14 +0100")
Message-ID: <87efavm8b3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Ludovic Court=C3=A8s <ludo@HIDDEN> skribis:

> The ISO installer image as produced on commit
> 4a0b87f0ec5b6c2dcf82b372dd20ca7ea6acdd9c by
>
>   guix system disk-image --file-system-type=3Diso9660 \
>     -s i686-linux gnu/system/install.scm
>
> contains unreadable file(s), at least /var/guix/db/db.sqlite.

I can reproduce the I/O error by mounting the image:

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix$ sudo losetup /dev/loop0 /gnu/store/1yanxg3cz5wi6vhp=
vhipxvmjwm201fbm-image.iso
ludo@ribbon ~/src/guix$ sudo mount -t iso9660 /dev/loop /mnt/disk/
mount: /mnt/disk: WARNING: device write-protected, mounted read-only.
ludo@ribbon ~/src/guix$ cat < /mnt/disk/var/guix/db/db.sqlite > /dev/null
cat: -: Eraro de en-eligo
ludo@ribbon ~/src/guix$ dmesg |tail
[   41.186408] shepherd[1]: Service guix-daemon has been started.
[   45.725418] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[   45.933911] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[   49.496112] e1000e: enp0s31f6 NIC Link is Up 1000 Mbps Full Duplex, Flow=
 Control: None
[   49.496165] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s31f6: link becomes ready
[  203.358136] ISO 9660 Extensions: RRIP_1991A
[  215.199352] attempt to access beyond end of device
[  215.199357] loop0: rw=3D524288, want=3D1903876, limit=3D1899264
[  215.199362] attempt to access beyond end of device
[  215.199363] loop0: rw=3D0, want=3D1903532, limit=3D1899264
--8<---------------cut here---------------end--------------->8---

So the problems lies with the VM that creates the image.

Ludo=E2=80=99.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: swedebugia@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 09:37:01 +0000
Resent-Message-ID: <handler.33639.B33639.15440889679446 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Cc: bug-Guix <bug-guix-bounces+swedebugia=riseup.net@HIDDEN>, 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.15440889679446
          (code B ref 33639); Thu, 06 Dec 2018 09:37:01 +0000
Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 09:36:07 +0000
Received: from localhost ([127.0.0.1]:34965 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUq4g-0002SE-UZ
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 04:36:07 -0500
Received: from mx1.riseup.net ([198.252.153.129]:58003)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gUq4Y-0002Rg-FJ
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 04:36:01 -0500
Received: from cotinga.riseup.net (cotinga-pn.riseup.net [10.0.1.164])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 979271A0973;
 Thu,  6 Dec 2018 01:35:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1544088953; bh=xi3MzW366X5kaFvbABuuTmNVTgzEecc5QRZ8XmZuzW0=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=PjRAH2F4ohpj5QUBLxkEMEug4tOgHBGbo6CThWB84lMsxnhWvvbiFLECOGK2qM3Mt
 vyNaEBxCLnMQuBe616RoN/kT+yy8fK6xWnlYPZcNxq1zQJSRdfLA6Dr5r+1EwPjrcr
 5lSZOuzfAl4Vm4nVfXs+8bL8nAanFx3fTdfVBRt0=
X-Riseup-User-ID: A22EB6D7047E9DA1E887150D60955CA47589784BEC81EF50C374BE0A61BA699F
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by cotinga.riseup.net with ESMTPSA id 76CC38F843;
 Thu,  6 Dec 2018 01:35:53 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Thu, 06 Dec 2018 01:35:53 -0800
From: swedebugia@HIDDEN
In-Reply-To: <87d0qfwmih.fsf@HIDDEN>
References: <87d0qfwmih.fsf@HIDDEN>
Message-ID: <8047bf42762c6c4f8106689097afa32d@HIDDEN>
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-06 01:02, Ludovic Courtès wrote:
snip

> Indeed, if you spawn the image and run “cat /var/guix/db/db.sqlite”, it
> fails with EIO and “attempt to access beyond end of device.”  I suspect
> the bugs Mark reported at <https://issues.guix.info/issue/33362> and
> <https://issues.guix.info/issue/33555> are related.
> 
> My guess is that the bug has always existed on ‘core-updates’ since
> <https://berlin.guixsd.org/build/662745> (‘master’, 2018-11-30, i.e.,
> just before ‘core-updates’ was merged) shows a successful installation.
> 
> I tried running the ISO image in qemu-system-{x86_64,i386}, with and
> without KVM, and the I/O errors are always there, including with a
> pre-core-updates QEMU.
> 
> I tried reverting xorriso to 1.4.8 to no avail (which is not surprising
> since xorriso was upgraded on 2018-09-18 and the successful installation
> above which 2018-11-30.)
> 
> At this point I can only suspect a toolchain issue, probably binutils or
> libc since gcc didn’t change.
> 
> Thoughts?
> 
> This is holding the 0.16.0 release and I’m unavailable to do it next
> week and with little time over the next few days.  Thus I’m considering
> exceptionally releasing without the i686 GuixSD install image; thoughts?

Ok, I see.

Has anybody tested that guix pull from 0.15 -> 0.16 works on an install
ISO? (I don't know if we want/agreed to support this at all but 1 bug
suggests problems related to https: )

I say go for release and note it on the download page and provide
0.15-i686 image for now.

I'm using i686 GuixSD on my devlaptop.

-- 
Cheers 
Swedebugia




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 10:36:02 +0000
Resent-Message-ID: <handler.33639.B33639.154409253614987 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: 33639 <at> debbugs.gnu.org, bug-xorriso@HIDDEN
Cc: Ricardo Wurmus <rekado@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154409253614987
          (code B ref 33639); Thu, 06 Dec 2018 10:36:02 +0000
Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 10:35:36 +0000
Received: from localhost ([127.0.0.1]:34986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUr0J-0003tf-OJ
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 05:35:35 -0500
Received: from eggs.gnu.org ([208.118.235.92]:49511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUr0H-0003tR-79
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 05:35:34 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUr0A-0006Sv-GW
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 05:35:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:47897)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUqzi-00057m-7D; Thu, 06 Dec 2018 05:34:58 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=43622 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUqzh-0008LW-UL; Thu, 06 Dec 2018 05:34:58 -0500
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87d0qfwmih.fsf@HIDDEN> <87efavm8b3.fsf@HIDDEN>
Date: Thu, 06 Dec 2018 11:34:55 +0100
In-Reply-To: <87efavm8b3.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Thu, 06 Dec 2018 08:19:12 +0100")
Message-ID: <874lbrkkog.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Dear Xorriso hackers,

While building an ISO for i686, running Xorriso 1.5.0 built for i686
(actually =E2=80=98grub-mkrescue=E2=80=99, but that=E2=80=99s just a wrappe=
r around Xorriso) in
qemu-system-i386, we end up with an ISO image containing files that lead
to I/O errors (=E2=80=9Cattempt to access beyond end of device=E2=80=9D):

--8<---------------cut here---------------start------------->8---
ludo@ribbon ~/src/guix$ sudo losetup /dev/loop0 /gnu/store/1yanxg3cz5wi6vhp=
vhipxvmjwm201fbm-image.iso
ludo@ribbon ~/src/guix$ sudo mount -t iso9660 /dev/loop /mnt/disk/
mount: /mnt/disk: WARNING: device write-protected, mounted read-only.
ludo@ribbon ~/src/guix$ cat < /mnt/disk/var/guix/db/db.sqlite > /dev/null
cat: -: Eraro de en-eligo
ludo@ribbon ~/src/guix$ dmesg |tail
[   41.186408] shepherd[1]: Service guix-daemon has been started.
[   45.725418] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[   45.933911] IPv6: ADDRCONF(NETDEV_UP): enp0s31f6: link is not ready
[   49.496112] e1000e: enp0s31f6 NIC Link is Up 1000 Mbps Full Duplex, Flow=
 Control: None
[   49.496165] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s31f6: link becomes ready
[  203.358136] ISO 9660 Extensions: RRIP_1991A
[  215.199352] attempt to access beyond end of device
[  215.199357] loop0: rw=3D524288, want=3D1903876, limit=3D1899264
[  215.199362] attempt to access beyond end of device
[  215.199363] loop0: rw=3D0, want=3D1903532, limit=3D1899264
--8<---------------cut here---------------end--------------->8---

The output of Xorriso and the kernel when it builds the image looks
good.

(More info at <https://issues.guix.info/issue/33639>.)

Using the exact same build process for x86_64 leads to valid ISO images.

Does that ring a bell or would you have advice to further debug it?

Thanks,
Ludo=E2=80=99.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: "Thomas Schmitt" <scdbackup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 14:10:01 +0000
Resent-Message-ID: <handler.33639.B33639.154410538911289 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: bug-xorriso@HIDDEN
Cc: 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154410538911289
          (code B ref 33639); Thu, 06 Dec 2018 14:10:01 +0000
Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 14:09:49 +0000
Received: from localhost ([127.0.0.1]:35054 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUuLZ-0002vx-F1
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 09:09:49 -0500
Received: from mout.gmx.net ([212.227.15.15]:45035)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gUuLS-0002vg-SH
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 09:09:44 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx001 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0Mdafs-1gpsbH1n6i-00PJkO; Thu, 06 Dec 2018 15:09:31 +0100
Date: Thu, 06 Dec 2018 15:08:56 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <874lbrkkog.fsf@HIDDEN>
In-Reply-To: <874lbrkkog.fsf@HIDDEN>
Message-Id: <22800682362436954162@HIDDEN>
X-Provags-ID: V03:K1:KDOotLfRIrb4THYGFgb5xmnoUPGQHIjVe3EbC4GXrBZcCxG6FyT
 u4+M+rr1mpHdDkzyDXzEFCR/FVB2rKm1Bq9VHFaIrrwHkQiH8eOcqr/xA/c7fyKg4oskeev
 Vm51RSyz+NF0c6q3ZKLG7pMBG34LPMqyuD8WJ2LanBHwpT+C/izqP8uIivyps8cSHryTvJa
 KU+otkfBDwfkU1MnRqHNg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:4C6NFSNWMUg=:ocXlJs9uVCAks5v6/czbaD
 8rvxQBZ3wXa1/WkkWznAyDvHGcjnqQRtoTJyUt4Mxa/m1zJZ482788/YfNEg8rrLTQRo3pVWp
 BQWzb1eOJd9R3niOYcdCHHPvDYEFOaMfVgWtECcfq0fGBeAWP5nlHAnvePfwm4MwVslSA8C8a
 hrFqB8WgaQKYYfI5xpOjnuxB7ozEtglXVDKXipuA/l/6FWIg4NBcbe7OPeQXq4YE/OOAWpkFL
 /C9GFGEDxzfvtyeMYl9KuS6bGo6UEc1KSzi3ddxQdI6PDX+a1okHg0qIjz6+XEt28xpGMnuhy
 TUoneLWbHGAhEi6yPapyLdyHwcSSGUsfBKSQZ9QOxJakecD80ls2bjYNSnel94Y5mcgGOeFWN
 pLAGOuVKsCZTzTmPwCgp0DDWLOCL31az1PWup4x9j6vR7plLl+4YS/RkoMApl1lcqELglUsoz
 5Rl9VCOmslYNsvF6/4CL0Hrp939JjMwW2qu4uCF/oFKjV7V5snEQHkujjdseh30tikN/F7Myo
 beScYyqveB+KV5DAtuAVBwuCoygEVtjHjAau4NTd3Nsljt+p6tcDd6Q9IIbgrn3JZuU9eoVgP
 MTBLLybVsHtGkWh9l8ayaumex16gGtOhXNfuLST/dOntIB2EmOln5oNRcMwycg+sgfJ/LHedb
 KzKgvxuUoIAbriGzuh+FpC5N6XaRwk+AyfjMuti8brSWH35vHBcL3EhurStQR2wS74PTcVJW9
 PswGLmU6Ds3uFdE8D3JxsVMB/EQC2qcCZ8S7KSoAJ7zdqjWI4vdvGftDjyBqbKk46pCHtgFaL
 c2FNsriZvGXxaXHA73AVCf9UQYECpm3uHutG9In6JcBf+uX5pdtr1WADdhBR4PaMEXeT9nvSZ
 uOe91NpFYQau7wJ9Xo+kyW71tqQByYtEPDq3JQWbAvciOpE1wUcxsLl3607dMu
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> [ 215.199357] loop0: rw=524288, want=1903876, limit=1899264

This looks much like a truncated ISO image. (For what reason ever.)

There are at least 4612 blocks = ~ 9 MiB missing.
In the original message of https://issues.guix.info/issue/33639 the
the minimum missing size is about 5 MiB.

Please consider local reasons for truncated ISO images.

In the following i will concentrate on a potential program bug.


> [...] running Xorriso 1.5.0 built for i686 [...] I/O errors [...]
> Using the exact same build process for x86_64 leads to valid ISO images.

Well, this would explain why 1.5.0 passed a regression test on my 64 bit
system with repacking about 200 ISOs, mounting them, and comparing them
with the monted original ISOs.
I currently lack of opportunities to build 32 bit xorriso.

Is there such a damaged ISO available for download ?

How much effort would it be to create a Guix installation for building
xorriso, running your ISO production, and possibly running xorriso under
gdb ?
(Something for a run like

  qemu-system-i386 \
     -enable-kvm \
     -nographic \
     -m 512 \
     -net nic \
     -net user,hostfwd=tcp::5555-:22 \
     -hda guix_on_qemu.img

with the opportunity to login from the host machine via SSH.
)

What do you get from this xorriso inspection run on a damaged ISO ?
(I tested it with the ISO from https://www.gnu.org/software/guix/download/):

  xorriso -indev guixsd-install-0.15.0.i686-linux.iso \
          -find / -sort_lba -exec report_lba -- \
          >/tmp/xorriso_indev_find.txt 2>&1

In a preliminary test with
  guixsd-install-0.15.0.i686-linux.iso
i get in /tmp/xorriso_indev_find.txt :

  ...
  Media summary: 1 session, 454094 data blocks,  887m data,  384g free
  ...
  Report layout: xt , Startlba ,   Blocks , Filesize , ISO image path
  File data lba:  0 ,     8527 ,     1440 ,  2949120 , '/efi.img'
  ... many other files ...
  File data lba:  0 ,   453781 ,      122 ,   249856 , '/var/guix/db/db.sqlite'

The ISO image file size is 929984512 bytes = 454094 blocks.
The image by its inner size counter also claims 454094 blocks.
The data file with the highest storage address ends before block
453781 + 122 = 453903.
That's 191 blocks before the image end. Padding and GPT backup follow.
(The data block size is 2048 bytes.)

So this image looks ok. Let's read all its files:

  # mount guixsd-install-0.15.0.i686-linux.iso /mnt/iso
  mount: /dev/loop0 is write-protected, mounting read-only
  $ tar cf - /mnt/iso | wc
  tar: Removing leading `/' from member names
  7116387 35887498 1042391040
  $

No i/o error.


Unrelated observation:
xorriso command -pvd_info reports that the ISO was made with xorriso-1.4.8
with
  Creation Time: 1970010119010649
This means "1 Jan 1970 19:01:06". Something seems to be wrong with the
system clock of the producer machine.


Have a nice day :)

Thomas





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 15:35:02 +0000
Resent-Message-ID: <handler.33639.B33639.154411046327632 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154411046327632
          (code B ref 33639); Thu, 06 Dec 2018 15:35:02 +0000
Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 15:34:23 +0000
Received: from localhost ([127.0.0.1]:35933 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUvfQ-0007BX-1F
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 10:34:23 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41811)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUvfL-0007BD-7Q
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 10:34:18 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUvfB-0002TC-UX
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 10:34:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53683)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUvfB-0002T4-Q5; Thu, 06 Dec 2018 10:34:05 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44154 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUvfA-0002hU-Qo; Thu, 06 Dec 2018 10:34:05 -0500
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <874lbrkkog.fsf@HIDDEN>
 <22800682362436954162@HIDDEN>
Date: Thu, 06 Dec 2018 16:34:02 +0100
In-Reply-To: <22800682362436954162@HIDDEN> (Thomas Schmitt's
 message of "Thu, 06 Dec 2018 15:08:56 +0100")
Message-ID: <87va46is9h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Thomas,

Thanks for the quick and insightful reply!

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

>> [ 215.199357] loop0: rw=3D524288, want=3D1903876, limit=3D1899264
>
> This looks much like a truncated ISO image. (For what reason ever.)
>
> There are at least 4612 blocks =3D ~ 9 MiB missing.
> In the original message of https://issues.guix.info/issue/33639 the
> the minimum missing size is about 5 MiB.

OK.

> Please consider local reasons for truncated ISO images.

I=E2=80=99ve thought about this but that seem highly unlikely at this point.

> Is there such a damaged ISO available for download ?

No.

> How much effort would it be to create a Guix installation for building
> xorriso, running your ISO production, and possibly running xorriso under
> gdb ?
> (Something for a run like
>
>   qemu-system-i386 \
>      -enable-kvm \
>      -nographic \
>      -m 512 \
>      -net nic \
>      -net user,hostfwd=3Dtcp::5555-:22 \
>      -hda guix_on_qemu.img

You could install Guix on top of your distro following the instructions
at
<https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installation.=
html>.
Then you would need to run =E2=80=9Cguix pull=E2=80=9D to get a current Gui=
x (0.15.0
itself didn=E2=80=99t have this bug.)  And finally, run:

  guix system disk-image --file-system-type=3Diso9660 \
    -s i686-linux \
    ~/.config/guix/current/share/guile/site/2.2/gnu/system/install.scm

(This command works on an x86_64 machine.)

The result will be an ISO that=E2=80=99s corrupt.

> What do you get from this xorriso inspection run on a damaged ISO ?
> (I tested it with the ISO from https://www.gnu.org/software/guix/download=
/):
>
>   xorriso -indev guixsd-install-0.15.0.i686-linux.iso \
>           -find / -sort_lba -exec report_lba -- \
>           >/tmp/xorriso_indev_find.txt 2>&1

I get:

--8<---------------cut here---------------start------------->8---
GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.

libisoburn: WARNING : ISO image size 475636s larger than readable size 4734=
56s
xorriso : NOTE : Loading ISO image tree from LBA 0
libburn : SORRY : Read start address 475635s larger than number of readable=
 blocks 473456
xorriso : UPDATE :   46803 nodes read in 1 seconds
xorriso : NOTE : Detected El-Torito boot information which currently is set=
 to be discarded
Drive current: -indev '/gnu/store/v13bryy1mrgrs694drsrknryf204q30j-image.is=
o'
Media current: stdio file, overwriteable
Media status : is written , is appendable
Boot record  : El Torito , MBR protective-msdos-label grub2-mbr cyl-align-o=
ff GPT APM
Media summary: 1 session, 473456 data blocks,  925m data, 45.6g free
Volume id    : 'GUIXSD_IMAGE'
xorriso : NOTE : Tolerated problem event of severity 'SORRY'
Report layout: xt , Startlba ,   Blocks , Filesize , ISO image path
File data lba:  0 ,     8612 ,      720 ,  1474560 , '/efi.img'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/1zzgag2ca7=
xzklss2j6phh4580cgkbl2-flac-1.3.2/share/doc/flac-1.3.2/FLAC.tag'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/55m1dng1zw=
7fq7ni73nm2v7b84wghpka-libx11-1.6.6/share/X11/locale/am_ET.UTF-8/XI18N_OBJS'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/55m1dng1zw=
7fq7ni73nm2v7b84wghpka-libx11-1.6.6/share/X11/locale/cs_CZ.UTF-8/XI18N_OBJS'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/55m1dng1zw=
7fq7ni73nm2v7b84wghpka-libx11-1.6.6/share/X11/locale/el_GR.UTF-8/XI18N_OBJS'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/55m1dng1zw=
7fq7ni73nm2v7b84wghpka-libx11-1.6.6/share/X11/locale/fi_FI.UTF-8/XI18N_OBJS'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/746645dl4f=
mz9h12x247nyznalswqyzp-groff-minimal-1.22.3/share/groff/1.22.3/tmac/mm/loca=
le'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/746645dl4f=
mz9h12x247nyznalswqyzp-groff-minimal-1.22.3/share/groff/1.22.3/tmac/mm/se_l=
ocale'
File data lba:  0 ,    25032 ,        0 ,        0 , '/gnu/store/a1vpwa7wkx=
bxw18sz70rmp3cdfnf3jdj-libvorbis-1.3.6/share/doc/libvorbis-1.3.6/doxygen-bu=
ild.stamp'
File data lba:  0 ,    25032 ,        0 ,        0 , '/mach_kernel'
File data lba:  0 ,    25034 ,     1173 ,  2400500 , '/boot/grub/fonts/unic=
ode.pf2'
File data lba:  0 ,    26207 ,        1 ,     1520 , '/boot/grub/grub.cfg'
File data lba:  0 ,    26207 ,        1 ,     1520 , '/gnu/store/3zq39lvf12=
a87zcfrg87xgkllgfsyw3b-grub.cfg'
File data lba:  0 ,    26208 ,        5 ,     9928 , '/boot/grub/i386-efi/a=
cpi.mod'

[=E2=80=A6]

File data lba:  0 ,   475300 ,        1 ,     1651 , '/gnu/store/zrg4c2d0lv=
yw8z9xgh0darzglbxrm6b7-iptables-1.6.2/share/man/man8/iptables-restore.8.gz'
File data lba:  0 ,   475301 ,        1 ,     1137 , '/gnu/store/zrg4c2d0lv=
yw8z9xgh0darzglbxrm6b7-iptables-1.6.2/share/man/man8/iptables-save.8.gz'
File data lba:  0 ,   475302 ,        4 ,     7837 , '/gnu/store/zrg4c2d0lv=
yw8z9xgh0darzglbxrm6b7-iptables-1.6.2/share/man/man8/iptables.8.gz'
File data lba:  0 ,   475306 ,       47 ,    96256 , '/System/Library/CoreS=
ervices/boot.efi'
File data lba:  0 ,   475353 ,        1 ,      236 , '/System/Library/CoreS=
ervices/SystemVersion.plist'
File data lba:  0 ,   475354 ,        1 ,     1399 , '/System/Library/CoreS=
ervices/.disk_label'
File data lba:  0 ,   475355 ,        1 ,       10 , '/System/Library/CoreS=
ervices/.disk_label.contentDetails'
File data lba:  0 ,   475356 ,       88 ,   180224 , '/var/guix/db/db.sqlit=
e'
xorriso : NOTE : -return_with SORRY 32 triggered by problem severity SORRY
--8<---------------cut here---------------end--------------->8---

Something=E2=80=99s fishy, and Xorriso is sorry.  :-)

Let me know if I can provide more info.

In the meantime I=E2=80=99ll see if I can build the image from x86_64 inste=
ad.

> Unrelated observation:
> xorriso command -pvd_info reports that the ISO was made with xorriso-1.4.8
> with
>   Creation Time: 1970010119010649
> This means "1 Jan 1970 19:01:06". Something seems to be wrong with the
> system clock of the producer machine.

For reproducibility purposes we set timestamps and related things to the
Epoch.  This pseudo-UUID/timestamps is actually derived from the config
of the operating system in the image.  It=E2=80=99s expected.  :-)

Thank you!

Ludo=E2=80=99.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 16:29:01 +0000
Resent-Message-ID: <handler.33639.B33639.1544113733354 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Cc: bug-xorriso@HIDDEN, Ricardo Wurmus <rekado@HIDDEN>, 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.1544113733354
          (code B ref 33639); Thu, 06 Dec 2018 16:29:01 +0000
Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 16:28:53 +0000
Received: from localhost ([127.0.0.1]:35953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUwWD-00005d-Cm
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 11:28:53 -0500
Received: from eggs.gnu.org ([208.118.235.92]:60055)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gUwWB-00005Q-Qi
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 11:28:52 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gUwW6-0003hp-0j
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 11:28:46 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.0 required=5.0 tests=BAYES_20 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:54502)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gUwVy-0003JS-8i; Thu, 06 Dec 2018 11:28:38 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=44214 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gUwVx-00064H-R0; Thu, 06 Dec 2018 11:28:38 -0500
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <874lbrkkog.fsf@HIDDEN>
 <22800682362436954162@HIDDEN>
Date: Thu, 06 Dec 2018 17:28:35 +0100
In-Reply-To: <22800682362436954162@HIDDEN> (Thomas Schmitt's
 message of "Thu, 06 Dec 2018 15:08:56 +0100")
Message-ID: <87k1kmipqk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi again,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

>> [ 215.199357] loop0: rw=3D524288, want=3D1903876, limit=3D1899264
>
> This looks much like a truncated ISO image. (For what reason ever.)
>
> There are at least 4612 blocks =3D ~ 9 MiB missing.
> In the original message of https://issues.guix.info/issue/33639 the
> the minimum missing size is about 5 MiB.

Based on this and on a suggestion Ricardo made on IRC, I passed
=E2=80=9C-padding 10m=E2=80=9D and that solved the problem.  \o/

I suppose you=E2=80=99ll have a scientific explanation, but I=E2=80=99m hap=
py this
simple hacks works (and indeed, the documentation of =E2=80=9C-padding=E2=
=80=9D suggests
that this kind of problem is not uncommon.)

Thanks to both of you!

Ludo=E2=80=99.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: "Thomas Schmitt" <scdbackup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 17:01:02 +0000
Resent-Message-ID: <handler.33639.B33639.15441156233674 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: bug-xorriso@HIDDEN
Cc: 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.15441156233674
          (code B ref 33639); Thu, 06 Dec 2018 17:01:02 +0000
Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 17:00:23 +0000
Received: from localhost ([127.0.0.1]:35962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUx0h-0000xB-24
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 12:00:23 -0500
Received: from mout.gmx.net ([212.227.17.20]:41101)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gUx0f-0000ww-JZ
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 12:00:22 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx102 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0LqW8j-1h8OM837AX-00e7xX; Thu, 06 Dec 2018 18:00:13 +0100
Date: Thu, 06 Dec 2018 17:59:39 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87va46is9h.fsf@HIDDEN>
In-Reply-To: <87va46is9h.fsf@HIDDEN>
Message-Id: <13661682393159200289@HIDDEN>
X-Provags-ID: V03:K1:lg03QiCKeoGMHDZ4FsQSSJi+HBXq2DMjH13PDZt/g2EOeZHr1ig
 AwyfXpYfwc7jBd0eWGeXZKHRspnvcwRmjbYdPSGJZuT8XEavW7QNdSgdGBWvAGcl60QsEqT
 gPbPEF8eo9BF4xb3XmBMNrQfILkvtvmd/jN0zcmnNt9RVSLIhR0FuR2SG3Seq1v1QoVZo3v
 l273/mfPS6DNy/HCRmmnQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:398UrKTlVUQ=:q4HsoCfM6Cyi+H1eI/f94K
 NXtbUeohy7czlhn77xHEnkcg4YRN9kCKAdsvJf3wt/rW/VYjr/q9dLHJ0ndknfHIPvxkNriTm
 i4hxHgIzkMC8O8GtCRzuB8ZRRyZtTVZMW8Gq4xyciAsxc+GwsVyn9USaKzTX/YU98C348bBlD
 RBvmbYmGrUi5WTGRXTltMmnMrDdbY7x+R4xDIHlJnLlMon4tHlH0tdpcamrbS5cscRv+j++hj
 XvdDGMVqy3KnQhVELfPo1w7eeYbif6hSMxLhhx4AZkWTx0zYlLMgTVcaSxGoplUkBaiudesec
 Y8IzmgIWiNKTGlrL1BG+Qe3elESNhheL8jJFd31oEdBWgIsJurAlELgaIvW2C+OaFaJAJP0Ft
 R5Gswu+/K1MCiBocVHZhzSrQbtLohwXY3KtyPhzXgC/nkCSNSnW9v9TRUeeVl2ERRIiT+2OKL
 Lp7HqQM6f/7Sl1CdGNhqVwJkGgQJ04jzI1qh1zB4eeyXvs1Jm4Gb7oePxyi2qslnDx3fI9jhJ
 bA6DVUGZW33KV74YFHaa3k8XCv7/k0VtuyczbDeAkKhexCrUgC794TpjGn2rmn08m1M2zsaFW
 YTmSszBxdPQlPYqL9q8mikmTB8o2V9FKPjEXDdHEbAqaZmBC8bAH2UM+pUHcMBzfYFgo42b0j
 9wU+Lhej2EtTSwPMpkVdSwxM8Cj2sbpp68/0+wsTKB3e4Uy9CH55VIiJM1ThbzwFDsOpcH9FC
 Mz5bZnELJaB2x1ppVXkZ2s1QU+GeStW80UE3e53iKvj9uqM9cBYr1567xmP7imrypsIhJVvK8
 vH9oKS4YSY+86ytgFKqqAna6NuXdnR5sVYXwf9oSuNa43l6jfmo36+fQFhpcatoPtFEJTpGuR
 71iu6epBnHqMopEWweUwnurCk/NQcEkWrj2BAYBX1ka/OhqXoXjaO16rfpIXWA
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

i see that probably the kernel log talks of blocks of 512 bytes.
So the minimum missing size shrinks to 2.3 and 1.4 MiB, respectively.


I wrote:
> > Please consider local reasons for truncated ISO images.

Ludovic Courtès wrote:
> I’ve thought about this but that seem highly unlikely at this point.

It still looks like writing of the ISO image aborted prematurely.
Do you have the xorriso messages from the grub-mkrescue run ?

(If there are none, add the following three arguments to the grub-mkrescue 
 run:
   -- -- -report_about update
 The second "--" shall work around an intermediate version of grub-mkrescue
 which ate the first "--" instead of forwarding it to xorriso.
)


Reasoning:

> libisoburn: WARNING : ISO image size 475636s larger than readable size 473456s
> File data lba:  0 ,   475356 ,       88 ,   180224 , '/var/guix/db/db.sqlite'

When the ISO is assessed by libisoburn, its nominal block count is
192 blocks higher than the end of the last file. Insofar ok. But the
ISO image file is smaller than that.

After the warning, libisoburn corrects the displayed size to the readable
size. So the number in this subsequent message is rather insignificant:
> Media summary: 1 session, 473456 data blocks,  925m data, 45.6g free
(Only good that you also showed above warning message.)


The nominal count is recorded in the Primary Volume Descriptor, the
equivalent of a superblock. (Byte offset in the ISO file is 32768+80,
first as 4 byte little-endian, then again as 4 byte big-endian.)

The readable size is based on the byte size of the ISO file.

At ISO production time, the nominal block count is determined by libisofs
in a first dry-run. In the subsequent real production run, libisofs sticks
to the determined file sizes of the first run, even if some file changed
size inbetween. It would truncate or pad the copied file bytes to the
planned size. Directory data are written as assessed in the first run.

So from normal operation of libisofs it is guaranteed that the written
amount of data is the same as the nominal amount.

-----------------------------------------------------------------------

Possible glitches would be that libisofs skips to write some scheduled
data blocks, or that libburn drops blocks which were submitted by libisofs.
Both scenarios do not give me an idea how the difference between 32 bit
and 64 bit systems could be involved.

The theory of intermediately missing data blocks could be verified or
defuted by checking the content of the last file which sits in the
readable area. If it bears the expected content, then no blocks were
skipped or dropped inbetween.

So please look in the file listing for the last file which begins before
block 473456 and does not step over that limit by adding its "Blocks"
count (exact hit on the limit is ok).
If the filesystem refuses to obtain it, then use
  dd bs=2048 skip=$Startlba count=$Blocks
to cut it out from the ISO and then truncate it to the reported "Filesize".

In any case compare its content with the original.

If the contents match, then we have a flat premature end of file.
In this case there should be error messages from xorriso or its libraries.
(In case of GNU xorriso, the libraries are fixely compiled in from source.)


Have a nice day :)

Thomas





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: "Thomas Schmitt" <scdbackup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Thu, 06 Dec 2018 17:31:02 +0000
Resent-Message-ID: <handler.33639.B33639.15441174046522 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: bug-xorriso@HIDDEN
Cc: 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.15441174046522
          (code B ref 33639); Thu, 06 Dec 2018 17:31:02 +0000
Received: (at 33639) by debbugs.gnu.org; 6 Dec 2018 17:30:04 +0000
Received: from localhost ([127.0.0.1]:35975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gUxTQ-0001h8-FC
	for submit <at> debbugs.gnu.org; Thu, 06 Dec 2018 12:30:04 -0500
Received: from mout.gmx.net ([212.227.15.15]:53745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gUxTN-0001g7-Qr
 for 33639 <at> debbugs.gnu.org; Thu, 06 Dec 2018 12:30:02 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0M5cMq-1hNzth3xbE-00xdzR; Thu, 06 Dec 2018 18:29:54 +0100
Date: Thu, 06 Dec 2018 18:29:19 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87k1kmipqk.fsf@HIDDEN>
In-Reply-To: <87k1kmipqk.fsf@HIDDEN>
Message-Id: <12559682391379993357@HIDDEN>
X-Provags-ID: V03:K1:81zAYHfDe1seI8XoQx3+DvWYfoKDYy1ouIHBW2HMHUI3aPGKGUu
 RReUXMZ60R6r3swqrnjCtw1L6fsmfqzKhSkuDPNb37uqFYaa/iIxCkf0KcvOU8yfnqJxUJe
 5e/5YrHuVSNFGCeuSJdvFm9WMtwpVXe1HTK4SWdCaQQ9eTPeKR/dujhI92mnaGawHcZzJnt
 Y5F8tncG4yCj1KGoT+/xw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vK5lvJEGJbs=:ZGouydoEQTTCjoW6sY5n6p
 swFSg/868EmbVe2AmfyFE8yDUY6H0nytlBm8+xy9WdJTdu7VJIkCJ4114yqLgMFLsqpd22oDe
 qeLLTXiIlAKfvQ+z0HN9p3Xw2N1jmwOCSRe0WpWdAzIrpG5zELCfWS6E+7NOPyaIK60hs+SUy
 MWy/WY2bokwhlkf3Aej1ZSuFJzphDQdqQRDAUXTk02etyli5qnzdr9/GOdW/IsPKoo5aUUU0K
 RJAttxZu+vqc4zURiP3GVnNTR7ULGgi0BQcsQ0W630NYrOfxF9IVx/nS5FlB8TFnk3iqnuoHL
 /YNpNbJinV5YMJ+7y+hkuUpvjquqRP5MwPehBToB/mLIR+ZPgyS1GuZNHCCu47fs7Dqp5fQfM
 7AZNyAKmg6XfbrgnwDkxuGEcPbm+AmuWPImWYTXupFFtLeqhCx9k2fI5APL8rJcrS368tjSjr
 Xcr49ePIajIinSKUz+lTrweVslj2MepIX868mQho/MmLp30uqeteqfknLxRgSnAfLVtgT4bjp
 1U4CjhMDJ4eXT7D2R8Xe2qKmWUflD1GbKuRQomEWrmcudpBK3TTqzGhB55rqSP3qyYtHO638s
 pf8xvGDMFRsUq2QD5FNOxziir7gOH/jK4qY/IXbB0HgBkehg2eSkb07CkVasQkcruTUtCWVRd
 1jtUMC160Ou7MdaQptR1MXiMlcnSrdvOJ8rkN7j1IB0hWGJ14yC/8Q6Qd6l6hlAmsgB3DgS9c
 cQ8e1BUqFWbJWW06Pgx7rq3CMij22VHmxzpYA2qN1QeAUmi8f4+ttYjijF9qF2WKPkoofzC/4
 t3OK7k8L2nBbvdwnOhHl81oulewHF0cbsY7EXXRxPOENggWtPxrhZU4UtHC6Dawyh3Wszg+tr
 eSSn5LQyYzqIQ9YUmnQaToSWJn9SGpZ8fyOmdC4lOFlTV5EkzlUAFBJChBhiaX
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> Based on this and on a suggestion Ricardo made on IRC, I passed
> “-padding 10m” and that solved the problem.  \o/

Ouchers. Do all files bear their expected content ?
Especially the last one: /var/guix/db/db.sqlite

If so, then something truncates the output stream of libisofs via libburn.
The only component that comes to my mind is the fifo between them.
The default fifo size is 4 MiB. Quite suspicious.

Try to reduce its size to the minimum by adding these grub-mkrescue
arguments:

  -- -- -fs 64k -padding 64k

If the fifo is to blame, then a padding of 64k should suffice to protect
the valuable blocks from a premature end.


--------------------------------------------------------------------
A bit off topic:

> the documentation of “-padding” suggests
> that this kind of problem is not uncommon.

It's normal purpose is to work around a traditional Linux kernel bug:

CDs written with write type Track-At-Once bear two unreadable blocks at
the end. Most CD drives report these blocks as part of the data range.
When Linux shall read a single block for isofs, it reads a larger chunk.
The chunk is not large enough to reach over the nominal end of the data
range, but it can reach the unreadable end blocks by mistake.
In this case Linux does not only miss the end blocks but also valid
payload blocks which are part of the filesystem. This yields I/O error.

The developer of cdrecord and the kernel people mistake this problem
for a "fuzziness" of a CD end by at most 2 seconds of audio play time.
This is wrong from reading the specs and from making experiments.
However, cdrecord introduced the tradition to add 150 blocks of padding
which would 2 seconds of sound.
As long as the read chunk of Linux is smaller than that, the padding
protects the operating system from touching the lead-out blocks of the
TAO track.

This cannot happen on hard disk or any optical media type other than CD.
If you write the CD by Session-At-Once it cannot happen. If you have one
of the rare CD drives which do not count the lead-out blocks to the
readable size of the CD, it cannot happen. (Currently 1 of my 7 drives
tells the truth.)

But who am i to stand against all others ?
So xorriso, too, adds 300 KiB of padding by default.


Have a nice day :)

Thomas





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Fri, 07 Dec 2018 22:52:01 +0000
Resent-Message-ID: <handler.33639.B33639.15442230728756 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.15442230728756
          (code B ref 33639); Fri, 07 Dec 2018 22:52:01 +0000
Received: (at 33639) by debbugs.gnu.org; 7 Dec 2018 22:51:12 +0000
Received: from localhost ([127.0.0.1]:37403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVOxk-0002H9-8y
	for submit <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:51:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:40669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gVOxj-0002Gy-HV
 for 33639 <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:51:11 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gVOxc-0007LJ-8P
 for 33639 <at> debbugs.gnu.org; Fri, 07 Dec 2018 17:51:06 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:35280)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gVOxc-0007L4-0D; Fri, 07 Dec 2018 17:51:04 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=34850 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gVOxb-0005aJ-7D; Fri, 07 Dec 2018 17:51:03 -0500
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87k1kmipqk.fsf@HIDDEN>
 <12559682391379993357@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 17 Frimaire an 227 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 07 Dec 2018 23:51:01 +0100
In-Reply-To: <12559682391379993357@HIDDEN> (Thomas Schmitt's
 message of "Thu, 06 Dec 2018 18:29:19 +0100")
Message-ID: <87k1klar3e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hello!

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

>> Based on this and on a suggestion Ricardo made on IRC, I passed
>> =E2=80=9C-padding 10m=E2=80=9D and that solved the problem.  \o/
>
> Ouchers. Do all files bear their expected content ?
> Especially the last one: /var/guix/db/db.sqlite

It looks good, and there are no I/O errors left (I mounted it and run
=E2=80=9Ctar=E2=80=9D over it.)

Note that the image is now available here:

  https://alpha.gnu.org/gnu/guix/guixsd-install-0.16.0.i686-linux.iso.xz

(I haven=E2=80=99t tried smaller padding.)

> If so, then something truncates the output stream of libisofs via libburn.
> The only component that comes to my mind is the fifo between them.
> The default fifo size is 4 MiB. Quite suspicious.
>
> Try to reduce its size to the minimum by adding these grub-mkrescue
> arguments:
>
>   -- -- -fs 64k -padding 64k
>
> If the fifo is to blame, then a padding of 64k should suffice to protect
> the valuable blocks from a premature end.

OK, I=E2=80=99ll try to test this, but note that I=E2=80=99ll be largely un=
available for
a week.

>> the documentation of =E2=80=9C-padding=E2=80=9D suggests
>> that this kind of problem is not uncommon.
>
> It's normal purpose is to work around a traditional Linux kernel bug:
>
> CDs written with write type Track-At-Once bear two unreadable blocks at
> the end. Most CD drives report these blocks as part of the data range.
> When Linux shall read a single block for isofs, it reads a larger chunk.
> The chunk is not large enough to reach over the nominal end of the data
> range, but it can reach the unreadable end blocks by mistake.
> In this case Linux does not only miss the end blocks but also valid
> payload blocks which are part of the filesystem. This yields I/O error.
>
> The developer of cdrecord and the kernel people mistake this problem
> for a "fuzziness" of a CD end by at most 2 seconds of audio play time.
> This is wrong from reading the specs and from making experiments.
> However, cdrecord introduced the tradition to add 150 blocks of padding
> which would 2 seconds of sound.
> As long as the read chunk of Linux is smaller than that, the padding
> protects the operating system from touching the lead-out blocks of the
> TAO track.
>
> This cannot happen on hard disk or any optical media type other than CD.
> If you write the CD by Session-At-Once it cannot happen. If you have one
> of the rare CD drives which do not count the lead-out blocks to the
> readable size of the CD, it cannot happen. (Currently 1 of my 7 drives
> tells the truth.)
>
> But who am i to stand against all others ?
> So xorriso, too, adds 300 KiB of padding by default.

I see, thanks for explaining!

Ludo=E2=80=99.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: "Thomas Schmitt" <scdbackup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sat, 08 Dec 2018 12:44:01 +0000
Resent-Message-ID: <handler.33639.B33639.154427301228160 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: bug-xorriso@HIDDEN
Cc: 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154427301228160
          (code B ref 33639); Sat, 08 Dec 2018 12:44:01 +0000
Received: (at 33639) by debbugs.gnu.org; 8 Dec 2018 12:43:32 +0000
Received: from localhost ([127.0.0.1]:37725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gVbxE-0007K6-0d
	for submit <at> debbugs.gnu.org; Sat, 08 Dec 2018 07:43:32 -0500
Received: from mout.gmx.net ([212.227.15.19]:60215)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gVbxB-0007Js-R6
 for 33639 <at> debbugs.gnu.org; Sat, 08 Dec 2018 07:43:30 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0M1Ee8-1hK8Ac2Y5Q-00tG95; Sat, 08 Dec 2018 13:43:22 +0100
Date: Sat, 08 Dec 2018 13:42:53 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87k1klar3e.fsf@HIDDEN>
In-Reply-To: <87k1klar3e.fsf@HIDDEN>
Message-Id: <14249682530673393275@HIDDEN>
X-Provags-ID: V03:K1:YQw0ijV0Ld+hZ/Wi97uRrZh2HHx8xJzfJmlvF/YkNbHeJN224NZ
 NMny3Aw52IEQPQLb/sQQ9XfgKPcQTtlPjJdWg2ZEkJhiS9WvacICUPgkzZV81RToJrkgM70
 IENg26Rqa8cNnJ41Q9/YzV2g3fnRzB+FfkGtcTshHATfifLvTSgHYyx4BZA4xKQS1dlO4nk
 ilYmijrt30E2/inNcg1JQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:SPxXnW5g7rQ=:CAnupbvz+kRQ5B1xTHe6Jl
 vbMuriXpfBG5ZWtNQZPMH+1JhUjWFpOqUN3+JJLW2qoy11BqKl3EoYJ8cQs2QUOm5g/TwETYe
 eiNmBbdBDtYNM2DAle77au4V4OROzlqFGRZ1gKKBPI1hiJySuZ7ZOTVTSkab8Qmv51KTK2LDD
 GasReJbBIw/Upa21PziNPt0kn5oMkaLriVJdPFCE6HHipWG9RHFd3uxvThZ8dcjrJIQJ2G4US
 RxqFB8U6wFnywi5ASL9eyay5G6GPUzk8Sf2wS9xdn/GqDckENEEQDXW5URfA30q1PtV2nH2QI
 YfwjdZ2/bZ9ctDI0aLy81LG8HgNhQx8oMQxzwQMe/zh4SZmrguKqpsm1AOSvbH34T9wffN8fk
 0MmgIGXJhf7j8Cbf6rIZBH57/45tlUaP7T4OXoLompcTPJYW3w5CXTFGDGnlO4UFkFM8a3PgW
 se7mQFCC+oyHIv5ic2WmSETCJnb6qyKXQahjyrncGGT//NyngqN4291tv7MwOC7wN2OpJx+I9
 4CqDqKOfl/t7sjvdmSogZ4dBOOJ+vV2bBONWcyVBR1Ajc/WWtmR/+eDzJ30Ob9oiVlmAf1zyE
 7F0qrx19HSN1B3nbpSt2CLTKaqkaZS1lPRp7delh8lEaCAgx6AJ4yjKgqGEC1h//OM2QH4nNE
 b02Sem/e7curPgto62GNbxAXaTeQgTWlDQ2fwZbofzd+PWrX8wdTXrajByFbLw6WmrfspRtvJ
 mxmE+8SkY4MYpBjJq/A1AhObWYHuRsUT8VcH7TwpEg0D9p18oh8PfDRVKFXssMU4xaAky9bIj
 LbMxsNUoESfvakQEmlNyXYvcBm7RYhJm/Lv4oyelnIfOC/XeylwRnIckVatc8tbY5VNCcbPkq
 DHPYFpA9yHKvmeAbOMy5y+O8BteyzolsCRghjgKMfWm+Wjbr2IKc7iwZ4EGqMV
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> https://alpha.gnu.org/gnu/guix/guixsd-install-0.16.0.i686-linux.iso.xz
> (I haven’t tried smaller padding.)

I downloaded it and get on "xorriso -indev":
  libisoburn: WARNING : ISO image size 481129s larger than readable size 479184s

So the lack of 2k blocks is 1945 = nearly 4 MiB.
This is suspiciously near to the default fifo size.

The content of cleartext files near the payload end looks plausible:
  /System/Library/CoreServices/.disk_label
  /System/Library/CoreServices/SystemVersion.plist
Whether the last file's content is as expected can only be told by
its reader program, i guess:
  /var/guix/db/db.sqlite

So for now it indeed looks like plain truncation and not like a hickup
somewhere in the middle of ISO writing.
  

Several distros use xorriso to build their 32 bit ISOs. No complaints.
So i asked on debian-cd and debian-live mailing lists whether the ISOs
for 32-bit systems are indeed made on 32-bit systems. The answer is
  "All our images have been made on amd64 for years now."

So i need a 32-bit GNU/Linux VM for regression tests.

Being an untalented sysadmin, this can last a while. (First searching
for old cheat sheets and then stepping into any possible puddle ...)


I would still appreciate a test with minmally sized fifo. Its outcome would
be a strong indication whether the Guix problem is related to the fifo
at all. The result can be checked by executing

  xorriso -indev ...path.to.iso...

and looking for message
  libisoburn: WARNING : ISO image size ...s larger than readable size ...s
If the difference is in the range of only 32s, then the fifo stays
main suspect.

Also, the xorriso messages of a run with grub-mkrescue add-on arguments

  -- -- -report_about all

would be very welcome.

--------------------------------------------------------------------------
(Be invited to stop reading here. Only code musings follow.)

I reviewed the fifo code in libisofs and found no obvious opportunity for
a bug that would drop the final fifo content rather than offering it to
libburn:
  https://dev.lovelyhq.com/libburnia/libisofs/raw/master/libisofs/buffer.c

(iso_ring_buffer_read() is exposed to libburn via libisofs/ecma119.c
 function bs_read() which serves as struct burn_source member (*read)()
 as defined in libburn/libburn.h.)

The condition for end of reading is a combination of
- no data are available in the ring buffer
- the writer has set the flag for having ended its work

        while (buf->size == 0) {
            ...
            if (buf->wend) {

The member buf->size is of type size_t. I.e. good for at least 4 GiB - 1
before it rolls over. Neither the fifo size nor the transaction size come
near to that number.
buf->wend is unsigned int :2 with defined values
  0 not finished, 1 finished ok, 2 finish with error


Have a nice day :)

Thomas





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: "Thomas Schmitt" <scdbackup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sat, 15 Dec 2018 18:41:02 +0000
Resent-Message-ID: <handler.33639.B33639.154489922426503 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: bug-xorriso@HIDDEN
Cc: 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154489922426503
          (code B ref 33639); Sat, 15 Dec 2018 18:41:02 +0000
Received: (at 33639) by debbugs.gnu.org; 15 Dec 2018 18:40:24 +0000
Received: from localhost ([127.0.0.1]:49626 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYErO-0006tN-Bg
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 13:40:22 -0500
Received: from mout.gmx.net ([212.227.17.22]:39275)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gYErM-0006tA-Ly
 for 33639 <at> debbugs.gnu.org; Sat, 15 Dec 2018 13:40:21 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx102 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0LmeGF-1h7qae33R5-00aA3O; Sat, 15 Dec 2018 19:40:11 +0100
Date: Sat, 15 Dec 2018 19:40:02 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87va46is9h.fsf@HIDDEN>
In-Reply-To: <87va46is9h.fsf@HIDDEN>
Message-Id: <23902682647998386729@HIDDEN>
X-Provags-ID: V03:K1:ENyAzoUAXSi8d85wfMxVBH1AKaQBNyPjvnTkm8S8pptq5IZE65Y
 xOX+l5vOFT/MeyPGK+0RxHCpHu3L8OZllgyx3CAUClV8plE0NaMCoFTNJYdJJ6Ewf9rQ0cj
 2IhI0/Z6gYLbHEzF4Qb3VGPPvul2kSLRj3vATXrjF3yBbVOYZVG4n/qW9zNR74eGBQaVVeQ
 eTeAILB9ZNdj2VfEc7WoA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:YXsF1vIfUZE=:ujXfF1syrejukwyi7Lh4YY
 l2HsUaJDz/OncnEhk5czo8zVHSPFoDCrO9mWwf+rlq5agMbITt8dMkCQ5FtAgpZF739ReOwnO
 +hWiTpmJ6qPS2XABH7341sIIFLgUmkpEWdnprGON9/dpx9vWKQCjEALM0kRTV4KOajxm7A0A4
 Uo/9wbgFJQcRFwlAnalE32lr4CwM055G9Gc09CUEaOlGY0yK6tjV05G+2H9MpBwmXY2gOu9tM
 qzXr4XMdiTWVFgRCtONmZ7/8Vomm3ClUBaLTeRL54xYuvoAQIsGUCJvC/HRwktDr2IsuBw2Yg
 iS7cIGa5BY8tC1zmJNz3Wcis9EYLBaTOqGH8wUVuHhDL45gZK+tgDhDaxhkZ1yoIVJJBZ156A
 eG39GPbytWHMbzWedB/aO69MS7t+X8Ln8Zbi3Jyc/oynrLuYq9NDrvSHGjaxnx0iDJ6eBa2VT
 CIF87ru+QMWvotqz8ZxAk0FGewbnkZXly1xK89vzaeI1f4X5lFBVzj/6uRh3wE5KcogSeqfFm
 KjGZjAUyApFLDBawNe+prQ23cGkm78r5XdsjC1d3fidZ8YwiqeOROYmaCS94IVrhDTlQ6W7y5
 KUWBl7dBBbQrHp5bGUUi1EviQVRZ3/WbNdWPUkRYaGF7M3mx0gzuKr+n0rqmuvjPmp3sCfGkW
 iwybawTxCuAZmz5iVD3IAHIgEq9pUO/DTU6VTCeXJonZPK9OYqzW37SHhRpKZykPsP85vPTAn
 xe6vJALwsaZQ4xS0l5XL4ePXUJOXVY1ZjPPf8g48R6Q3bFgocNJpPa3WmPgO6QR9v8syAXazH
 bgnOJ9sGa5j5MIbsOwbz3hbAHUM5AVyIJyhO4BcFvcZp4gBz3jB67rah2paLfssqvca3m5pBN
 9U8gmk1jDHoCqos8tUDOcPyaXOuDOiYGL41gIbvCjaN3tOsNk/1bGSDYCAh4iY
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

just to report that i did not forget this problem:

I have now a qemu-system-i386 VM with Debian GNU/Linux from
debian-9.6.0-i386-netinst.iso without desktop environment and reachable
via SSH. Very minimal. (I only did "apt-get install build-essential" to
feel not lonely without C compiler and friends.)

Then i followed the instructions of
  https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installation.html
with
  https://alpha.gnu.org/gnu/guix/guix-binary-0.16.0.i686-linux.tar.xz
  https://alpha.gnu.org/gnu/guix/guix-binary-0.16.0.i686-linux.tar.xz.sig
up to step 7 ("guix archive --authorize ...").

Then i made the mistake to do the proposed

  guix package -i hello

It downloads and builds and blows away the free space on the virtual 8 GB
disk ... /gnu is growing steadily and /tmp breathes between 50 MB and 2 GB.
I abort this after 100 minutes before the virtual disk gets too full and
my CPU melts.

"guix pull" happily begins to build that gcc-5.5.0 which is too much for my
feeble VM.

Back to step 0 ("rm -r /gnu /var/guix") and again to step 7.
(A small fight starts between me and systemd, to get guix-daemon running.
 "start" did not help. It had to be "restart".)

Then

  # guix system disk-image --file-system-type=iso9660 \
  >   -s i686-linux \
  >   ~/.config/guix/current/share/guile/site/2.2/gnu/system/install.scm

and the activities to build the world start again. Extra verbose.
This time i abort after 30 minutes.

Everything i do ends up in enormous production of gcc-5.5.0 related
software.

-------------------------------------------------------------------------

So for xorriso and a 32-bit system:

  # apt-get install xorriso
  ...
  # xorriso -version
  xorriso 1.4.6 : RockRidge filesystem manipulator, libburnia project.
  ...

I try what happens if i pack up the /gnu tree:

  # xorriso -as mkisofs -o /tmp/test.iso -J /gnu
  ...
  ISO image produced: 643046 sectors
  Written to medium : 643046 sectors at LBA 0
  Writing to 'stdio:/tmp/test.iso' completed successfully.

Inspection shows that the size ideas of xorriso match the image file size:

  # xorriso -indev /tmp/test.iso
  ... no warning about size mismatch ...
  Media summary: 1 session, 643046 data blocks, 1256m data, 3234m free

  # ls -l /tmp/test.iso
  -rw-r--r-- 1 root root 1316958208 Dec 15 19:17 /tmp/test.iso

  # expr 1316958208 / 2048
  643046

Now with GNU xorriso 1.5.0:

  $ wget https://www.gnu.org/software/xorriso/xorriso-1.5.0.tar.gz
  ...
  $ tar xzf xorriso-1.5.0.tar.gz
  $ cd xorriso-1.5.0
  $ ./configure && make
  ...
  $ xorriso/xorriso -version
  GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.
  ...

  # rm /tmp/test.iso
  # xorriso/xorriso -as mkisofs -o /tmp/test.iso -J /gnu
  GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.
  ...
  ISO image produced: 643046 sectors
  Written to medium : 643046 sectors at LBA 0
  ...

Inspection yields the same result. No truncation.

-------------------------------------------------------------------------

If i shall try again with "guix system disk-image", then i need more
guidance. E.g. about the required disk size and ways to curb the build
effort.


Have a nice day :)

Thomas





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: "Thomas Schmitt" <scdbackup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sat, 15 Dec 2018 19:25:01 +0000
Resent-Message-ID: <handler.33639.B33639.154490187830763 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: bug-xorriso@HIDDEN
Cc: 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154490187830763
          (code B ref 33639); Sat, 15 Dec 2018 19:25:01 +0000
Received: (at 33639) by debbugs.gnu.org; 15 Dec 2018 19:24:38 +0000
Received: from localhost ([127.0.0.1]:49657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYFYE-000807-FN
	for submit <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:24:38 -0500
Received: from mout.gmx.net ([212.227.15.15]:52527)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gYFYC-0007zt-Kp
 for 33639 <at> debbugs.gnu.org; Sat, 15 Dec 2018 14:24:37 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0MOx4J-1gT0UU0Hih-006MuS; Sat, 15 Dec 2018 20:24:29 +0100
Date: Sat, 15 Dec 2018 20:24:19 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <23902682647998386729@HIDDEN>
In-Reply-To: <23902682647998386729@HIDDEN>
Message-Id: <16569682655711134021@HIDDEN>
X-Provags-ID: V03:K1:9rxo4FVgJ6mC+c67YrTYO3FRrIVtXCXiCZa4zuBvAkmayoWimnx
 +RZu5Ke2NIAqY3fj/egeZJd2iAcVDzOkgfMa4D+Ud9hFSbwvKOnuGOm9ucXSLyaRdzzP13/
 OXi3gnuK3VQ2AUoAR03YrwczZDaX0x8pLqgVoyGAl4ap+eqIn0m5HOfzv8ADOOPcCCyMRNC
 UUjJl3I8R9EziN1TJVcOQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:WHH9cWoS4Fk=:QSRN3lB/xtrwak2y7p0YQ8
 I46N7wvODsVrUQw8h+MuH46ib3a2WyG5jPjqv0IiGED6/XiyWKNz92J8fENWPCMbmg2RdRUDO
 b4fls3j0zoifi0MIo2aMbKto2rswEfFQ7oSPReNcQ52+36peQYF4CjD4Pdr5QhLowFSamDXX7
 qo4vgyyKjgBjyQ8BNhxQ4tq8C6aUFxnQwU2Qmly+tvj4JFvYkg3q/7R4PVkCx2qtDnD3T05Xb
 sHZZeTb+1mqI0Ko9m5kLxWghMHVjTfZ5LdG3e0JWW3zg4EAjRwm0FXktaoAhkj+6XXyFIf4mc
 xGpjT9X8/ZfKTfTsaKlq5Qv434fq8qtQN0wLEAhyO6/G2nFRv76+N7pr/UMkxe6zIQMoEb8tI
 Hb9ZBJ5efIJUnTFnwtC8VQVKVzyTuaeBTBKm/HXRoICzrK1j2us+E29ds/fCNkQwJfqw4bkCS
 rVTasnCkBs5qutOPjfGchbWfS30TMz+rucDx099+NrgXax5HVL0/m5OC9fXogusjlUoGtM1Gv
 ZwfwKUJUm/SYwYwO/KJxGQ/dqnA8bPmdX7WdYFZfUDwHguPTLkJ9lVjIr6AHnbVL6wCzbRCia
 0jodQvzDiOAjVuUN4CwhC2jrjQ6L/1tucrPYDkfk+IvzG1qvZ/Hg9lPm0/tof1UzRV2lq65u5
 H4macLeg19MdtDz5rIPWq6SyE4X0LLR2Ohx+PhY96bFn7svhamOao8ujVinSC9mQG09LBC/KC
 yrJIZ9xs1igzvZRD3zPdceuz+9fWaEd2rHG7y/oCnnYfkF8gxtLxpI4bqwQzEIA6d5TXq81bB
 XP6BeJvSB9SLsLtTj3aTTA0OE+Ajnk1/BzVjtb3wHY8qMX4JD7ZHB6E62H7z44CAKzFuKb5s2
 3gGHRfGc/outsPclyUI6Uk361XXedLwNEDhi4rElMnJVz5XSc5tYtAEei+bxXg
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

it comes to me that i can get nearer to the Guix ISO production:

  # apt-get install grub-pc grub-efi-amd64-bin grub-efi-ia32-bin mtools
  ...
  # grub-mkrescue -o /tmp/test.iso /gnu
  xorriso 1.4.6 : RockRidge filesystem manipulator, libburnia project.
  ...
  ISO image produced: 652920 sectors
  Written to medium : 652920 sectors at LBA 0

  # ls -l /tmp/test.iso
  -rw-r--r-- 1 root root 1337180160 Dec 15 20:09 /tmp/test.iso

  # expr 1337180160 / 2048
  652920

  # xorriso -indev /tmp/test.iso
  ... no complaints ...

And with GNU xorriso 1.5.0 :

  # rm /tmp/test.iso
  # grub-mkrescue --xorriso=/home/thomas/xorriso-1.5.0/xorriso/xorriso \
  >               -o /tmp/test.iso /gnu
  GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.
  ...
  ISO image produced: 652920 sectors
  Written to medium : 652920 sectors at LBA 0

  # ls -l /tmp/test.iso
  -rw-r--r-- 1 root root 1337180160 Dec 15 20:15 /tmp/test.iso

  # xorriso -indev /tmp/test.iso
  ... no complaints ...

All looks well.


Have a nice day :)

Thomas





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sun, 16 Dec 2018 15:54:02 +0000
Resent-Message-ID: <handler.33639.B33639.154497558825659 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154497558825659
          (code B ref 33639); Sun, 16 Dec 2018 15:54:02 +0000
Received: (at 33639) by debbugs.gnu.org; 16 Dec 2018 15:53:08 +0000
Received: from localhost ([127.0.0.1]:50513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYYj6-0006fn-IZ
	for submit <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:53:08 -0500
Received: from eggs.gnu.org ([208.118.235.92]:45500)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gYYj4-0006fI-35
 for 33639 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:53:06 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gYYix-0000sd-Vu
 for 33639 <at> debbugs.gnu.org; Sun, 16 Dec 2018 10:53:00 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:41773)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gYYix-0000s9-RX; Sun, 16 Dec 2018 10:52:59 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=60822 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gYYix-0004dG-JG; Sun, 16 Dec 2018 10:52:59 -0500
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87va46is9h.fsf@HIDDEN>
 <23902682647998386729@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 26 Frimaire an 227 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 16 Dec 2018 16:52:58 +0100
In-Reply-To: <23902682647998386729@HIDDEN> (Thomas Schmitt's
 message of "Sat, 15 Dec 2018 19:40:02 +0100")
Message-ID: <87ftuxtqn9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Thomas,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

> I have now a qemu-system-i386 VM with Debian GNU/Linux from
> debian-9.6.0-i386-netinst.iso without desktop environment and reachable
> via SSH. Very minimal. (I only did "apt-get install build-essential" to
> feel not lonely without C compiler and friends.)

If you=E2=80=99re testing in a VM you might just as well download the GuixS=
D VM
image from <https://www.gnu.org/software/guix/download/>.  It should be
simpler than installing Debian and then installing Guix on top of
Debian.

> Then i followed the instructions of
>   https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installati=
on.html
> with
>   https://alpha.gnu.org/gnu/guix/guix-binary-0.16.0.i686-linux.tar.xz
>   https://alpha.gnu.org/gnu/guix/guix-binary-0.16.0.i686-linux.tar.xz.sig
> up to step 7 ("guix archive --authorize ...").
>
> Then i made the mistake to do the proposed
>
>   guix package -i hello
>
> It downloads and builds and blows away the free space on the virtual 8 GB
> disk ... /gnu is growing steadily and /tmp breathes between 50 MB and 2 G=
B.
> I abort this after 100 minutes before the virtual disk gets too full and
> my CPU melts.

Did you actually run =E2=80=9Cguix archive --authorize < =E2=80=A6/ci.guix.=
info.pub=E2=80=9D?

  https://www.gnu.org/software/guix/manual/en/html_node/Substitute-Server-A=
uthorization.html

If you didn=E2=80=99t, then you are not getting pre-built binaries and thus=
 you
end up building the world.

HTH,
Ludo=E2=80=99.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: "Thomas Schmitt" <scdbackup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Sun, 16 Dec 2018 16:54:01 +0000
Resent-Message-ID: <handler.33639.B33639.154497918831243 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: bug-xorriso@HIDDEN
Cc: 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154497918831243
          (code B ref 33639); Sun, 16 Dec 2018 16:54:01 +0000
Received: (at 33639) by debbugs.gnu.org; 16 Dec 2018 16:53:08 +0000
Received: from localhost ([127.0.0.1]:50534 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gYZf5-00087n-LV
	for submit <at> debbugs.gnu.org; Sun, 16 Dec 2018 11:53:07 -0500
Received: from mout.gmx.net ([212.227.17.20]:36825)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gYZez-00087F-Os
 for 33639 <at> debbugs.gnu.org; Sun, 16 Dec 2018 11:53:02 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx103 [212.227.17.168]) with ESMTPSA (Nemesis) id
 0LlleO-1h7dMQ2FcW-00ZM1E; Sun, 16 Dec 2018 17:52:50 +0100
Date: Sun, 16 Dec 2018 17:52:43 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <87ftuxtqn9.fsf@HIDDEN>
In-Reply-To: <87ftuxtqn9.fsf@HIDDEN>
Message-Id: <2198768286307958861@HIDDEN>
X-Provags-ID: V03:K1:OOapmxI71o5614MeJlT95CQ9Erqmw3yzsq2pmVw7CD9rSV+7ssU
 eAj4Lm/T2RjL9XnG6d3q1TAFCUUrGtI0fr6wUIfCnGmsGiFLOBLZ14fLZHL3XpxJpvh5h/c
 naNJAWPM6o2BkiMj503L4UKcIT+U6kJObYutvzFp96FDxkFnPhloM3Y59wYxuXprGjsKt6R
 baaDvmpqbxceqeKLjKEQA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:tV64xkPF+XA=:zdzEUm2E3DwIQZJJuvJHrR
 xSSuUfBIa40s1U3F36sTt9sRUMR8JHMxdlNt3qzDzSvMgP6G0aw+1Z6noS7ldnStHepYI7r0A
 1OUh7NEbKkUDWykFpOFAEaqQPm0sRn/cZ2uYfex/k7xSTjkRs6JsLODHMcaoax1aEUM3qufYk
 qpHZVoTm6WSTH5+VccqmCIQVSpY37vodczm+VLDh/DgTVwGl0Le2ZkMVrWtxX3+PAoLxGLeFR
 xz15FDwL+wuypcL9cTPeoMx0iZVciDbdzQn1fcUknmXitx6Fy+0ShM2uU8n+CLnDi2BMedWzS
 9dQ8BP4c3uk/X14cdzwgdv1rSSzvOL4+A1BBNJ5/sGHahRDaKLBCc4nw774kh/H65foGEcafY
 YyJt0D0nrjoLB4ZiZbebMI4Lcf492xR6lNU3870X8OLc/y+UkbCAkruC9rNRIMF+G6IbZkAMc
 yeR0wmR/8x+iWSQhYFB95ucQvIWj2t8VdKcyUtrnIwgT9CJVMMBRqkCsUDoPkDtI9FNRaj0ca
 goS2OtHPA2pKyS4Qgp2Izymh6mllBNIyZf6iBzkGhHHEap4hT8xN8UXUlM7y/TlQ10DdQqcJx
 UTiDpeG0ZYZ5UAm5iWmIPrGkkKetL+rZTOQx7BfYWEH9rhzcpUWhqhVQGRt3arsH407koqYnk
 nk8rLCNh/m20wepsi1T9pvEnOXHFttiFi9zgBV3ZYsRMgL5dw/Eb/e/vsumLOC79BEzVdBLMj
 L7VsUgx1U/qi3GgbBRCYuUCBLoGP9rWgewC1rw18KcMu/sxKc5tBGBoEC49Wh/7AHnOswXTMr
 ShiznZicpsvpk6gYgrMHlAbylMr423yDZheKRnq/d25F4RNgoT5yoJlGSzeVx5AtlO93EhNRE
 0T0/sRWV0RcmfcO7rvc5IZkMv0ho2NMjFQElrx/Uh3pjrzUcYJUv8PQi3fq8bB
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

Ludovic Courtès wrote:
> If you’re testing in a VM you might just as well download the GuixSD VM
> image from <https://www.gnu.org/software/guix/download/>.

There i only see only "x86_64" for QEMU, not "i686" like with ISO or Binary.


> Did you actually run “guix archive --authorize < …/ci.guix.info.pub”?

I did step 7 of Binary-Installation.html:

   guix archive --authorize < \
     ~root/.config/guix/current/share/guix/hydra.gnu.org.pub

The text "ci.guix.info.pub" does not appear in
  https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installation.html

Looking at the existing state:

  # ls -l ~root/.config/guix/current/share/guix/
  total 12
  -r--r--r-- 1 root root  118 Jan  1  1970 berlin.guixsd.org.pub
  -r--r--r-- 1 root root  118 Jan  1  1970 ci.guix.info.pub
  -r--r--r-- 1 root root 1083 Jan  1  1970 hydra.gnu.org.pub

Shall i authorize the others too ?
If so: Is there need for clean-up actions after the aborted build runs ?


(If you find a bit of time, please run grub-mkrescue with some arbitrary
 input tree of about the size of the Guix ISO and check whether it gets
 truncated. If so, the messages from xorriso would be very interesting.)


Have a nice day :)

Thomas





Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 18 Dec 2018 11:17:02 +0000
Resent-Message-ID: <handler.33639.B33639.154513178714912 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: "Thomas Schmitt" <scdbackup@HIDDEN>
Cc: bug-xorriso@HIDDEN, 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154513178714912
          (code B ref 33639); Tue, 18 Dec 2018 11:17:02 +0000
Received: (at 33639) by debbugs.gnu.org; 18 Dec 2018 11:16:27 +0000
Received: from localhost ([127.0.0.1]:52661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gZDMN-0003sL-M8
	for submit <at> debbugs.gnu.org; Tue, 18 Dec 2018 06:16:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:34556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1gZDMI-0003s5-Dv
 for 33639 <at> debbugs.gnu.org; Tue, 18 Dec 2018 06:16:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1gZDMC-00019l-Hg
 for 33639 <at> debbugs.gnu.org; Tue, 18 Dec 2018 06:16:13 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32855)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1gZDMC-00019h-E1; Tue, 18 Dec 2018 06:16:12 -0500
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=56310 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1gZDMC-0007eO-43; Tue, 18 Dec 2018 06:16:12 -0500
From: Ludovic =?UTF-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
References: <87ftuxtqn9.fsf@HIDDEN>
 <2198768286307958861@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 28 Frimaire an 227 de la =?UTF-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 18 Dec 2018 12:16:10 +0100
In-Reply-To: <2198768286307958861@HIDDEN> (Thomas Schmitt's
 message of "Sun, 16 Dec 2018 17:52:43 +0100")
Message-ID: <877eg7hypx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Thomas,

"Thomas Schmitt" <scdbackup@HIDDEN> skribis:

> Ludovic Court=C3=A8s wrote:
>> If you=E2=80=99re testing in a VM you might just as well download the Gu=
ixSD VM
>> image from <https://www.gnu.org/software/guix/download/>.
>
> There i only see only "x86_64" for QEMU, not "i686" like with ISO or Bina=
ry.

You=E2=80=99re right, my bad.

>> Did you actually run =E2=80=9Cguix archive --authorize < =E2=80=A6/ci.gu=
ix.info.pub=E2=80=9D?
>
> I did step 7 of Binary-Installation.html:
>
>    guix archive --authorize < \
>      ~root/.config/guix/current/share/guix/hydra.gnu.org.pub
>
> The text "ci.guix.info.pub" does not appear in
>   https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installati=
on.html

Oops, that was an omission that I=E2=80=99ve just fixed.

So yes, please authorize =E2=80=9Cci.guix.info.pub=E2=80=9D since https://c=
i.guix.info
is now the default substitute server.

HTH!

Ludo=E2=80=99.




Message sent to bug-guix@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33639: ISO installer image is broken on i686
Resent-From: "Thomas Schmitt" <scdbackup@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-guix@HIDDEN
Resent-Date: Tue, 18 Dec 2018 21:46:02 +0000
Resent-Message-ID: <handler.33639.B33639.154516952716798 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33639
X-GNU-PR-Package: guix
X-GNU-PR-Keywords: 
To: bug-xorriso@HIDDEN
Cc: 33639 <at> debbugs.gnu.org
Received: via spool by 33639-submit <at> debbugs.gnu.org id=B33639.154516952716798
          (code B ref 33639); Tue, 18 Dec 2018 21:46:02 +0000
Received: (at 33639) by debbugs.gnu.org; 18 Dec 2018 21:45:27 +0000
Received: from localhost ([127.0.0.1]:53800 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gZNB9-0004Ms-EX
	for submit <at> debbugs.gnu.org; Tue, 18 Dec 2018 16:45:27 -0500
Received: from mout.gmx.net ([212.227.15.18]:40211)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <scdbackup@HIDDEN>) id 1gZNB5-0004MX-BZ
 for 33639 <at> debbugs.gnu.org; Tue, 18 Dec 2018 16:45:24 -0500
Received: from scdbackup.webframe.org ([91.8.172.165]) by mail.gmx.com
 (mrgmx002 [212.227.17.190]) with ESMTPSA (Nemesis) id
 0Lg0sd-1hB9lO17Vb-00pgvK; Tue, 18 Dec 2018 22:45:17 +0100
Date: Tue, 18 Dec 2018 22:45:16 +0100
From: "Thomas Schmitt" <scdbackup@HIDDEN>
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit
References: <877eg7hypx.fsf@HIDDEN>
In-Reply-To: <877eg7hypx.fsf@HIDDEN>
Message-Id: <10322683426128283104@HIDDEN>
X-Provags-ID: V03:K1:4BcNCVWuingMW0+IJvFlvUdc/UKIyMccXeqZn0jeKcupDp2tvs2
 UWvtsnuAR3KSWVW2nFeSUO4T/3dfBBL+VtKjkZAhuxYNij9ZEHZhwlZWjDtO5a9pWoKZmg8
 rfkRgJZ5YaPjzgH8zI6sXKwtUDWeJzf4CJZ1Gz++407DkU74hlrALgggyeao3qOAKzWFvPV
 V6TkpmGizzKfvl3egorow==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:A1zIgPglzc8=:ZKJlzu703Fst1YeMr+FHDh
 eQC9pQtc8IgdRsV54P/1JwkXJlug8dGMyjurrba/xnsPFOZaRy+ZSBInwM9/edaEIuYYXzcM1
 nyl2gL5DNx2baMvAUoMnXAtd4XNu8YDUPylW6Ps80sB/KFonvC+Cok0FpzIUeUnLytZ6RXJIH
 VtPy+pzmylpYSJTWsV6k3d6r0j9HURAq4zOAsJ3Po+IBmmQMlhBcCyZoheerSrO015AGHD7SL
 KSyXEKaJKu7UMBE1I2EJTcZuonJH1EytXTGGEZWwYo6XYvM1bx3nEjoUc0y6XkMM7n1nh9I7n
 /8W4RqVlNLFXW/qER60rbqoBWVyIVdw/ge8D3KKneAFtF/3z9cCaSE+KZf78n9m9vMwgq1BFc
 yLksfXohSU11GGilaocQeR2vQmp4MYIYwwSlRxY0uK8aTvqcECjItbl+dSDC0dAMcaCKX3oz1
 xENUyW8yj+hzFbsgTR9kHaikr3HUE4bcPvEoiWU4sWMstzvsgpI4Rgorr9/vsND82T4AdguPy
 RunRQwBZS04tWFiQZWAe2n9V9JKnfp6cdRoQdQHgvtuphBeRwL69mC4EyI2dpNdXg0qgyx9G1
 6lfyTyAXwVEtZF2VWPFg+uG2n/1qgn9YnbOxzchLtDCvi2naQCimgW0nZnc1uRpbV2dMwZKOx
 wSWPtUU631WRvNXnp7gwV7PlOE9sRXZbzlrjr/w7btCAhwYyJqqryFjXXI4SvCP4JtVr58Ffa
 M0/B7JTL9J1UJctMrFZKYlqbKw1xJJ5L1/SGDsbgucas1ps2XojhyVo3QLO0W/a2izMCnHOVn
 1YGx/Y1FS6GM+1t02l3B35zmlltkdA6S1eIzCm5upukaJIi7MaYIjj32lsmEKoYPX2UsDEVuI
 WC0cgV/N9R8P6OOKJH3lw2JRBOvg91HCyDfzTCUJJVhWVdPzadpjNBXaW2Lhi5
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi,

> Oops, that was an omission that I’ve just fixed.

Sometimes you need a clueless test user to clean the pipes. 

I now succeeded in running the ISO production command, but the truncation
problem is not reproducible here.

Please re-consider local reasons ... yada yada ... my main suspect would
be the immediate end of VM after the xorriso run. Maybe some buffers don't
get flushed down to the real disk ?

------------------------------------------------------------------------
What i did in detail:

I removed /gnu and /var/guix to get to a halfways clean state for
repeating steps 2 and 7 of
  https://www.gnu.org/software/guix/manual/en/html_node/Binary-Installation.html
I.e. i unpacked the tarball, moved the trees to /gnu and /var/guix,
and authorized ci.guix.info.pub.

Then i did step 8
  guix package -i glibc-locales
This lasted 12 minutes (mainly with building 7 packages).

Now the proposed command to "confirm that Guix is working":
  guix package -i hello
lasted only about 30 seconds.

Scrolling back in my mailbox to
  Date: Thu, 06 Dec 2018 16:34:02 +0100
  Message-ID: <87va46is9h.fsf@HIDDEN>

> Then you would need to run “guix pull” to get a current Guix (0.15.0
> itself didn’t have this bug.)

Do i still need this ? My tarball was already "0.16.0":
  guix-binary-0.16.0.i686-linux.tar.xz

I bet on omitting this step and go on with:

>   guix system disk-image --file-system-type=iso9660 \
>    -s i686-linux \
>    ~/.config/guix/current/share/guile/site/2.2/gnu/system/install.scm

After 5 minutes i see boot messages of a Linux kernel.
Oh. Qemu running on qemu. (The local power plant shifts one gear up.)

12 minutes elapsed and xorriso has started. Sloowly adding files:

  registering 302 items
  GNU xorriso 1.5.0 : RockRidge filesystem manipulator, libburnia project.
  ...
  45981 files added in 94 seconds
  ...
  xorriso : UPDATE : Thank you for being patient. Working since 265 seconds.
  ISO image produced: 500069 sectors
  Written to medium : 500069 sectors at LBA 0
  Writing to 'stdio:/xchg/guixsd.iso' completed successfully.

So far the xorriso run looks ok.
  ...
  /gnu/store/a8wwjfihb161maww0c8x4r797prdn8rr-image.iso

So this is where the ISO ended up.

  # ls -l /gnu/store/a8wwjfihb161maww0c8x4r797prdn8rr-image.iso
  -r--r--r-- 2 root root 1024141312 Jan  1  1970 /gnu/store/a8wwjfihb161maww0c8x4r797prdn8rr-image.iso

  # expr 1024141312 / 2048
  500069

  # xorriso -indev /gnu/store/a8wwjfihb161maww0c8x4r797prdn8rr-image.iso
  ... no complaints about size mismatch ...
  Media summary: 1 session, 500069 data blocks,  977m data, 3052m free

Well, then with
  guix pull
and then again
  guix system disk-image ...
lasts 30 minutes,

  # time guix system disk-image --file-system-type=iso9660 \
    -s i686-linux \
    ~/.config/guix/current/share/guile/site/2.2/gnu/system/install.scm
  ...
    GUILEC   gnu/packages/emacs.go
  GC Warning: Failed to expand heap by 8388608 bytes
  ...
  GC Warning: Out of Memory! Heap size: 943 MiB. Returning NULL!
  ...
  guix system: error: build failed: build of `/gnu/store/vr5mhnh430qabrrc1a82pv954b89axws-guix-0.16.0-4.60b0402.drv' failed
  
  real    21m55.875s
  user    0m5.816s
  sys     0m1.384s
  #

Looks like my VM needs more memory for that stunt.
So again with 2 GiB.

... it seems that "guix pull" brought back the addiction to world building.
I abort after 50 minutes while it is doing some qemu tests.

------------------------------------------------------------------------

Have a nice day :)

Thomas






Last modified: Tue, 18 Dec 2018 22:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.